Intermittent errors after server update to 7.1.3

After the update of the Seafile server (OS: Debian 10.3) from 7.0.4 to 7.1.3 there are frequent intermittent errors in the web interface and the Seafile client (version 7.0.7).

From /home/seafile/logs/seahub.log:
2020-04-27 11:24:26,198 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/notifications/
Traceback (most recent call last):
File “/home/seafile/seafile-server-7.1.3/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 30, in sendall
n = fd.send(data[offset:])
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/seafile/seafile-server-7.1.3/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/home/seafile/seafile-server-7.1.3/seahub/thirdpart/django/core/handlers/base.py”, line 244, in _legacy_get_response
response = middleware_method(request)
File “/home/seafile/seafile-server-7.1.3/seahub/seahub/auth/middleware.py”, line 33, in process_request
if request.user.is_authenticated() and not request.user.is_active:
File “/home/seafile/seafile-server-7.1.3/seahub/seahub/auth/middleware.py”, line 23, in get
request._cached_user = get_user(request)
File “/home/seafile/seafile-server-7.1.3/seahub/seahub/auth/init.py”, line 120, in get_user
user = backend.get_user(username) or AnonymousUser()
File “/home/seafile/seafile-server-7.1.3/seahub/seahub/base/accounts.py”, line 570, in get_user
user = self.get_user_with_import(username)
File “/home/seafile/seafile-server-7.1.3/seahub/seahub/base/accounts.py”, line 541, in get_user_with_import
emailuser = seaserv.get_emailuser_with_import(username)
File “/home/seafile/seafile-server-7.1.3/seafile/lib64/python3.6/site-packages/seaserv/service.py”, line 128, in get_emailuser_with_import
return ccnet_threaded_rpc.get_emailuser_with_import(email)
File “/home/seafile/seafile-server-7.1.3/seafile/lib64/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/home/seafile/seafile-server-7.1.3/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 101, in call_remote_func_sync
ret_str = transport.send(self.service_name, fcall_str)
File “/home/seafile/seafile-server-7.1.3/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 62, in send
sendall(self.pipe, header)
File “/home/seafile/seafile-server-7.1.3/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 32, in sendall
raise NetworkError(‘Failed to write to socket: %s’ % e)
pysearpc.errors.NetworkError: Failed to write to socket: [Errno 32] Broken pipe
2020-04-27 11:24:26,198 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/repos/

After a refresh, these errors usually go away.

UPDATE: Sorry, doesn’t but I have to correct myself. The fix provided below does NOT help.

The solution provided by powUpYM seems to fix this issue as well:

The problem persists after the update to Seafile Server 7.1.4.

I have same problem. Seafile server pro 7.1.4.